Package org.codelibs.fess.entity
Class SearchRequestParams
java.lang.Object
org.codelibs.fess.entity.SearchRequestParams
- Direct Known Subclasses:
ChatClient.ChatSearchRequestParams,ListForm,RankFusionProcessor.SearchRequestParamsWrapper,SearchForm,V2JsonRequestParams
The search request parameters.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic enumThe search request type. -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringThe parameter for exact phrase query.static final StringThe parameter for filetype.static final StringThe parameter for negative query.static final StringThe parameter for occurrence.static final StringThe parameter for OR query.static final StringThe parameter for query.static final StringThe parameter for sitesearch.static final StringThe parameter for timestamp. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected FacetInfocreateFacetInfo(jakarta.servlet.http.HttpServletRequest request) Creates a facet info.protected GeoInfocreateGeoInfo(jakarta.servlet.http.HttpServletRequest request) Creates a geo info.abstract ObjectgetAttribute(String name) Returns the attribute.Returns the conditions.abstract String[]Returns the extra queries.abstract FacetInfoReturns the facet info.Returns the fields.abstract GeoInfoReturns the geo info.abstract HighlightInfoReturns the highlight info.abstract String[]Returns the languages.abstract LocaleReturns the locale.Returns the min score.abstract intReturns the offset.abstract intReturns the page size.static String[]getParamValueArray(jakarta.servlet.http.HttpServletRequest request, String param) Returns the parameter value array.abstract StringgetQuery()Returns the query.String[]Returns the response fields.abstract StringReturns the similar document hash.abstract StringgetSort()Returns the sort.abstract intReturns the start position.Returns the track total hits.getType()Returns the search request type.booleanReturns true if the request has a condition query, otherwise false.protected booleanisEmptyArray(String[] values) Returns true if the array is empty, otherwise false.protected static String[]simplifyArray(String[] values) Simplifies the array.
-
Field Details
-
AS_NQ
The parameter for negative query.- See Also:
-
AS_OQ
The parameter for OR query.- See Also:
-
AS_EPQ
The parameter for exact phrase query.- See Also:
-
AS_Q
The parameter for query.- See Also:
-
AS_FILETYPE
The parameter for filetype.- See Also:
-
AS_SITESEARCH
The parameter for sitesearch.- See Also:
-
AS_OCCURRENCE
The parameter for occurrence.- See Also:
-
AS_TIMESTAMP
The parameter for timestamp.- See Also:
-
-
Constructor Details
-
SearchRequestParams
protected SearchRequestParams()Default constructor.
-
-
Method Details
-
getQuery
Returns the query.- Returns:
- The query.
-
getFields
Returns the fields.- Returns:
- The fields.
-
getConditions
Returns the conditions.- Returns:
- The conditions.
-
getLanguages
Returns the languages.- Returns:
- The languages.
-
getGeoInfo
Returns the geo info.- Returns:
- The geo info.
-
getFacetInfo
Returns the facet info.- Returns:
- The facet info.
-
getHighlightInfo
Returns the highlight info.- Returns:
- The highlight info.
-
getSort
Returns the sort.- Returns:
- The sort.
-
getStartPosition
public abstract int getStartPosition()Returns the start position.- Returns:
- The start position.
-
getPageSize
public abstract int getPageSize()Returns the page size.- Returns:
- The page size.
-
getOffset
public abstract int getOffset()Returns the offset.- Returns:
- The offset.
-
getExtraQueries
Returns the extra queries.- Returns:
- The extra queries.
-
getAttribute
Returns the attribute.- Parameters:
name- The name of the attribute.- Returns:
- The attribute.
-
getLocale
Returns the locale.- Returns:
- The locale.
-
getType
Returns the search request type.- Returns:
- The search request type.
-
getSimilarDocHash
Returns the similar document hash.- Returns:
- The similar document hash.
-
getTrackTotalHits
Returns the track total hits.- Returns:
- The track total hits.
-
getMinScore
Returns the min score.- Returns:
- The min score.
-
hasConditionQuery
public boolean hasConditionQuery()Returns true if the request has a condition query, otherwise false.- Returns:
- True if the request has a condition query, otherwise false.
-
isEmptyArray
Returns true if the array is empty, otherwise false.- Parameters:
values- The array.- Returns:
- True if the array is empty, otherwise false.
-
simplifyArray
Simplifies the array.- Parameters:
values- The array.- Returns:
- The simplified array.
-
getParamValueArray
public static String[] getParamValueArray(jakarta.servlet.http.HttpServletRequest request, String param) Returns the parameter value array.- Parameters:
request- The request.param- The parameter.- Returns:
- The parameter value array.
-
createFacetInfo
Creates a facet info.- Parameters:
request- The request.- Returns:
- The facet info.
-
createGeoInfo
Creates a geo info.- Parameters:
request- The request.- Returns:
- The geo info.
-
getResponseFields
Returns the response fields.- Returns:
- The response fields.
-